module.exports = function(grunt) {

	// 配置
	grunt.initConfig({
		pkg : grunt.file.readJSON('package.json'),
		concat : {
			domop : {
				src: ['src/ajax.js', 'src/selector.js'],
				dest: 'dest/domop.js'
			}
		},
		uglify : {
			options : {
				banner : '/*! <%= pkg.name %> <%= grunt.template.today("yyyy-mm-dd") %> */\n'
			},
			build : {
				src : 'dest/domop.js',
				dest : 'dest/domop.min.js'
			}
		}
	});
	
	// 载入concat和uglify插件，分别对于合并和压缩
	grunt.loadNpmTasks('grunt-contrib-concat');
	grunt.loadNpmTasks('grunt-contrib-uglify');

	// 默认任务
	grunt.registerTask('default', ['concat', 'uglify']);
}; 